KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm join phase control-plane-prepare - Prepare the machine for serving a control plane

SYNOPSIS
kubeadm join phase control-plane-prepare [OPTIONS]

DESCRIPTION
Prepare the machine for serving a control plane

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Prepares the machine for serving a control plane
      kubeadm join phase control-plane-prepare all

SEE ALSO
kubeadm-join-phase(1), kubeadm-join-phase-control-plane-prepare-all(1), kubeadm-join-phase-control-plane-prepare-certs(1), kubeadm-join-phase-control-plane-prepare-control-plane(1), kubeadm-join-phase-control-plane-prepare-download-certs(1), kubeadm-join-phase-control-plane-prepare-kubeconfig(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!